import pickle 

filename = 'eval_dataset.pkl'

with open(filename, 'rb') as file:
    test_data = pickle.load(file)

for difficulty in ['easy', 'medium', 'hard']:
    length = len(test_data[difficulty]['start_pos'])
    for i in range(length):
        print(test_data[difficulty]['start_pos'][i], test_data[difficulty]['goal_pos'][i])
